DELETE
/
v1
/
organizations
/
{organizationId}
/
provider-connections
/
{provider}
TypeScript client
import { OctosparkClient } from '@octospark/sdk'

const client = new OctosparkClient({
  token: process.env.OCTOSPARK_TOKEN
})

const response = await client.providerGateway.removeProviderConnection({
  organizationId: process.env.OCTOSPARK_ORGANIZATION_ID ?? "organizationId",
  provider: process.env.OCTOSPARK_PROVIDER ?? "provider",
})
{
  "ok": true
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

organizationId
string
required

Organization id (UUID). Discover ids via the list organizations endpoint or the agent context.

provider
enum<string>
required

AI vendor to access using this organisation connection: OpenRouter or ElevenLabs.

Available options:
openrouter,
elevenlabs

Response

Success

ok
enum<boolean>
required
Available options:
true